Runtime

## org.eclipse.gmf.runtime.gef.ui.palette.customize
Class PaletteDrawerState

    java.lang.Object
      org.eclipse.gmf.runtime.gef.ui.palette.customize.PaletteEntryState
          org.eclipse.gmf.runtime.gef.ui.palette.customize.PaletteDrawerState

All Implemented Interfaces:
  IPaletteState

    public class PaletteDrawerState

extends PaletteEntryState

Used to store, rollback, and apply palette customizations of a palette drawer.

Since:
  2.1

Constructor Summary
`PaletteDrawerState(org.eclipse.gef.palette.PaletteDrawer drawer)`

Method Summary
`void` `applyChangesFromMemento(IMemento entryMemento)` Applies the changes from the memento to the palette entry.
`void` `rollback()` Applies the changes from the stored state to the palette entry.
`void` `storeChangesInMemento(IMemento memento)` Stores changes from the existing palette entry from the stored state into the memento.
`void` `storeState()` Stores the current state of the palette entry.

Methods inherited from class org.eclipse.gmf.runtime.gef.ui.palette.customize.PaletteEntryState
`getPaletteEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PaletteDrawerState

    public PaletteDrawerState(org.eclipse.gef.palette.PaletteDrawer drawer)

Method Detail

### storeState

    public void storeState()

  Description copied from interface: `IPaletteState`
  Stores the current state of the palette entry.

  Specified by:
    `storeState` in interface `IPaletteState`
  Overrides:
    `storeState` in class `PaletteEntryState`

### rollback

    public void rollback()

  Description copied from interface: `IPaletteState`
  Applies the changes from the stored state to the palette entry.

  Specified by:
    `rollback` in interface `IPaletteState`
  Overrides:
    `rollback` in class `PaletteEntryState`

### storeChangesInMemento

    public void storeChangesInMemento(IMemento memento)

  Description copied from interface: `IPaletteState`
  Stores changes from the existing palette entry from the stored state into the memento.

  Specified by:
    `storeChangesInMemento` in interface `IPaletteState`
  Overrides:
    `storeChangesInMemento` in class `PaletteEntryState`
  Parameters:
    `memento` - the memento in which to store the palette entry's customizations

### applyChangesFromMemento

    public void applyChangesFromMemento(IMemento entryMemento)

  Description copied from interface: `IPaletteState`
  Applies the changes from the memento to the palette entry.

  Specified by:
    `applyChangesFromMemento` in interface `IPaletteState`
  Overrides:
    `applyChangesFromMemento` in class `PaletteEntryState`
  Parameters:
    `entryMemento` - the memento from which to retrieve the palette entry's customizations

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.